### Signal

# AyatanaAppIndicatorGlib Indicator::new-label

#### Declaration

    void
    new_label (
      AppIndicator* self,
      gchar* arg1,
      gchar* arg2,
      gpointer user_data
    )

#### Description

Emitted when either `AppIndicator:label` or `AppIndicator:label-guide` have changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`arg1`

  Type: `gchar*`

  The string for the label.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg2`

  Type: `gchar*`

  The string for the guide.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.